#pragma once

#include "../interface.h"

class CUnitFrame;
extern CUnitFrame*				g_pUnitFrame;

class CUnitFrame : public CInterfaceBase
{
public:
	enum UintType
	{
		eUnit_None					= 0,
		eUnit_Player,
		eUnit_Target,
		eUnit_Party,
		eUnit_Raid,
		eUnit_Pet,
	};

	CUnitFrame(CInterface* object);
	virtual ~CUnitFrame();

	static	int					GetUnitType( const char* unit, int& index );
	static	const char*			GetUnitName( const char* unit );
	static	bool				UnitIsPlayer( const char* unit );
	static	bool				UnitInParty( const char* unit );
	static	bool				UnitIsDeadOrGhost( const char* unit );
	static	bool				UnitIsUnit( const char* src, const char* dest );	
	static	void				UnitEvent( const char* eventStr, int type, int index );

	virtual	void				RegisterFunc();
protected:
};